# Working with remote repositories - Exercices

# Cloning a repository with HTTPS

In a folder on your workstation, clone your GitLab project repository using the HTTPS protocol.

The rename the folder (ex. : prefix the folder name with `https-`)

# Cloning a repository with SSH

- Generate an SSH key pair on your workstation.
- Copy your public key in your GitLab account settings.
- Check that you have a working setup using [this tutorial](https://docs.gitlab.com/ee/user/ssh.html#verify-that-you-can-connect)
- Clone your project's repository using the SSH protocol.



